import { request } from '@umijs/max';

// agv点位基础数据
export default {
    //创建分组
    Add(parms: AgvbasicInfoTypes.Info) {
        return request('/api/agvpoint/add', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    //删除
    Del(parms: AgvbasicInfoTypes.Info) {
        return request(`/api/agvpoint/del`, {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    //修改
    Update(parms: AgvbasicInfoTypes.Info) {
        return request('/api/agvpoint/update', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    //列表
    List() {
        return request('/api/agvpoint/list', {
            method: 'POST',
        });
    },
    /**
     * 分页查询
     * @param parms 
     * @returns 
     */
    PagedList(parms: AgvbasicInfoTypes.Page) {
        return request('/api/agvpoint/pagedlist', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    // 下拉
    selectlist() {
        return request('/api/agvpoint/selectlist', {
            method: 'GET'
        }

        )
    }
}

